Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTree

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UITree
                          org.richfaces.component.html.HtmlTree

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Draggable, org.richfaces.component.Dropzone, org.richfaces.event.DropSource, org.richfaces.event.TreeListenerEventsProducer

    public class HtmlTree

extends UITree

Component-Type org.richfaces.Tree Component-Family org.richfaces.Tree Renderer-Type org.richfaces.TreeRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UITree
`DEFAULT_HIGHLIGHTED_CSS_CLASS, DEFAULT_SELECTED_CSS_CLASS, PRESERVE_MODEL_NONE, PRESERVE_MODEL_REQUEST, PRESERVE_MODEL_STATE, SELECTED_NODE_PARAMETER_NAME, SELECTION_INPUT_ATTRIBUTE, SWITCH_AJAX, SWITCH_CLIENT, SWITCH_SERVER`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlTree()` Constructor to init default renderers

Method Summary
`java.lang.Object` | `getAcceptedTypes()` List of drag types to be processed by the current drop zone Getter for acceptedTypes
`javax.faces.el.MethodBinding` | `getAdviseNodeOpened()` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
`javax.faces.el.MethodBinding` | `getAdviseNodeSelected()` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
`javax.faces.el.MethodBinding` | `getChangeExpandListener()` Listener called on expand/collapse event on the node Getter for changeExpandListener
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getDragIndicator()` An indicator component id Getter for dragIndicator
`javax.faces.el.MethodBinding` | `getDragListener()` MethodBinding representing an action listener method that will be notified after drag operation Getter for dragListener
`java.lang.String` | `getDragType()` Key of a drag object.
`java.lang.Object` | `getDragValue()` Data to be sent to the drop zone after a drop event Getter for dragValue
`javax.faces.el.MethodBinding` | `getDropListener()` MethodBinding representing an action listener method that will be notified after drop operation Getter for dropListener
`java.lang.Object` | `getDropValue()` Data to be processed after a drop event Getter for dropValue
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getHighlightedClass()` Corresponds to the HTML class attribute.
`java.lang.String` | `getIcon()` The icon for node Getter for icon
`java.lang.String` | `getIconCollapsed()` The icon for collapsed node Getter for iconCollapsed
`java.lang.String` | `getIconExpanded()` The icon for expanded node Getter for iconExpanded
`java.lang.String` | `getIconLeaf()` An icon for component leaves Getter for iconLeaf
`java.lang.String` | `getNodeFace()` Node face facet name Getter for nodeFace
`javax.faces.el.MethodBinding` | `getNodeSelectListener()` MethodBinding representing an action listener method that will be notified after selection of node.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncollapse()` HTML: script expression to invoke on node collapsing Getter for oncollapse
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOndragend()` A JavaScript event handler called after a drag operation Getter for ondragend
`java.lang.String` | `getOndragenter()` A JavaScript event handler called on enter draggable object to zone Getter for ondragenter
`java.lang.String` | `getOndragexit()` A JavaScript event handler called after a drag object leaves zone Getter for ondragexit
`java.lang.String` | `getOndragstart()` A JavaScript event handler called before drag object Getter for ondragstart
`java.lang.String` | `getOndrop()` It's an event that is called when something is dropped on a drop zone Getter for ondrop
`java.lang.String` | `getOndropend()` A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend
`java.lang.String` | `getOnexpand()` HTML: script expression to invoke on node expansion Getter for onexpand
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnselected()` HTML: script expression to invoke on node selection Getter for onselected
`java.lang.String` | `getPreserveModel()` It can be "state", "request", "none".
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getSelectedClass()` Corresponds to the HTML class attribute.
`java.lang.Object` | `getStateAdvisor()` ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getSwitchType()` Tree switch algorithm: "client", "server", "ajax" Getter for switchType
`int` | `getTimeout()` Response waiting time on a particular request.
`java.lang.Object` | `getTypeMapping()` Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Getter for typeMapping
`java.lang.String` | `getVarState()` ${prop.xmlEncodedDescription} Getter for varState
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isAjaxSubmitSelection()` If "true", an Ajax request to be submit when selecting node Getter for ajaxSubmitSelection
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isImmediate()` A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`boolean` | `isPreserveDataInRequest()` If "true", data is preserved in a request Getter for preserveDataInRequest
`boolean` | `isShowConnectingLines()` If "true", connecting lines are show Getter for showConnectingLines
`boolean` | `isToggleOnClick()` If "false" do not toggle node state on click.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptedTypes(java.lang.Object __acceptedTypes)` List of drag types to be processed by the current drop zone Setter for acceptedTypes
`void` | `setAdviseNodeOpened(javax.faces.el.MethodBinding __adviseNodeOpened)` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
`void` | `setAdviseNodeSelected(javax.faces.el.MethodBinding __adviseNodeSelected)` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setAjaxSubmitSelection(boolean __ajaxSubmitSelection)` If "true", an Ajax request to be submit when selecting node Setter for ajaxSubmitSelection
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setChangeExpandListener(javax.faces.el.MethodBinding __changeExpandListener)` Listener called on expand/collapse event on the node Setter for changeExpandListener
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDragIndicator(java.lang.String __dragIndicator)` An indicator component id Setter for dragIndicator
`void` | `setDragListener(javax.faces.el.MethodBinding __dragListener)` MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
`void` | `setDragType(java.lang.String __dragType)` Key of a drag object.
`void` | `setDragValue(java.lang.Object __dragValue)` Data to be sent to the drop zone after a drop event Setter for dragValue
`void` | `setDropListener(javax.faces.el.MethodBinding __dropListener)` MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
`void` | `setDropValue(java.lang.Object __dropValue)` Data to be processed after a drop event Setter for dropValue
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setHighlightedClass(java.lang.String __highlightedClass)` Corresponds to the HTML class attribute.
`void` | `setIcon(java.lang.String __icon)` The icon for node Setter for icon
`void` | `setIconCollapsed(java.lang.String __iconCollapsed)` The icon for collapsed node Setter for iconCollapsed
`void` | `setIconExpanded(java.lang.String __iconExpanded)` The icon for expanded node Setter for iconExpanded
`void` | `setIconLeaf(java.lang.String __iconLeaf)` An icon for component leaves Setter for iconLeaf
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setImmediate(boolean __immediate)` A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setNodeFace(java.lang.String __nodeFace)` Node face facet name Setter for nodeFace
`void` | `setNodeSelectListener(javax.faces.el.MethodBinding __nodeSelectListener)` MethodBinding representing an action listener method that will be notified after selection of node.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncollapse(java.lang.String __oncollapse)` HTML: script expression to invoke on node collapsing Setter for oncollapse
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOndragend(java.lang.String __ondragend)` A JavaScript event handler called after a drag operation Setter for ondragend
`void` | `setOndragenter(java.lang.String __ondragenter)` A JavaScript event handler called on enter draggable object to zone Setter for ondragenter
`void` | `setOndragexit(java.lang.String __ondragexit)` A JavaScript event handler called after a drag object leaves zone Setter for ondragexit
`void` | `setOndragstart(java.lang.String __ondragstart)` A JavaScript event handler called before drag object Setter for ondragstart
`void` | `setOndrop(java.lang.String __ondrop)` It's an event that is called when something is dropped on a drop zone Setter for ondrop
`void` | `setOndropend(java.lang.String __ondropend)` A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend
`void` | `setOnexpand(java.lang.String __onexpand)` HTML: script expression to invoke on node expansion Setter for onexpand
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnselected(java.lang.String __onselected)` HTML: script expression to invoke on node selection Setter for onselected
`void` | `setPreserveDataInRequest(boolean __preserveDataInRequest)` If "true", data is preserved in a request Setter for preserveDataInRequest
`void` | `setPreserveModel(java.lang.String __preserveModel)` It can be "state", "request", "none".
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setSelectedClass(java.lang.String __selectedClass)` Corresponds to the HTML class attribute.
`void` | `setShowConnectingLines(boolean __showConnectingLines)` If "true", connecting lines are show Setter for showConnectingLines
`void` | `setStateAdvisor(java.lang.Object __stateAdvisor)` ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSwitchType(java.lang.String __switchType)` Tree switch algorithm: "client", "server", "ajax" Setter for switchType
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setToggleOnClick(boolean __toggleOnClick)` If "false" do not toggle node state on click.
`void` | `setTypeMapping(java.lang.Object __typeMapping)` Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Setter for typeMapping
`void` | `setVarState(java.lang.String __varState)` ${prop.xmlEncodedDescription} Setter for varState

Methods inherited from class org.richfaces.component.UITree
`addChangeExpandListener, addDragListener, addDropListener, addNodeSelectListener, broadcast, captureOrigValue, captureOrigValue, createComponentState, createDataModel, dataChildren, fixedChildren, getChangeExpandListeners, getDragListeners, getDropListeners, getNodeFacet, getNodeSelectListeners, getOrCreateDefaultFacet, getRendersChildren, getResolvedDragIndicator, getRowData, getSelectionStateInputName, getTreeNode, getTreeNode, getTreeNodeVar, hasAjaxSubmitSelection, isExpanded, isLeaf, isSelected, isStopInCollapsed, processDecodes, processUpdates, queueCollapseAll, queueEvent, queueExpandAll, queueNodeCollapse, queueNodeExpand, removeChangeExpandListener, removeDragListener, removeDropListener, removeNodeSelectListener, resetDataModel, restoreOrigValue, restoreOrigValue, setSelected, setTreeNodeVar, setupVariable, walk, walk, walkModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcastLocal, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, processValidators, removeRequestKey, resetComponent, restoreChildState, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlTree

    public HtmlTree()

  Constructor to init default renderers

Method Detail

### setAcceptedTypes

    public void setAcceptedTypes(java.lang.Object __acceptedTypes)

  List of drag types to be processed by the current drop zone Setter for acceptedTypes

  Parameters:
    `acceptedTypes` - - new value

### getAcceptedTypes

    public java.lang.Object getAcceptedTypes()

  List of drag types to be processed by the current drop zone Getter for acceptedTypes

  Returns:
    acceptedTypes value from local variable or value bindings

### setAdviseNodeOpened

    public void setAdviseNodeOpened(javax.faces.el.MethodBinding __adviseNodeOpened)

  MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is expanded; java.lang.Boolean.FALSE, a particular treeNode is collapsed; null, a particular treeNode saves the current state Setter for adviseNodeOpened

  Specified by:
    `setAdviseNodeOpened` in class `UITree`
  Parameters:
    `adviseNodeOpened` - - new value

### getAdviseNodeOpened

    public javax.faces.el.MethodBinding getAdviseNodeOpened()

  MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is expanded; java.lang.Boolean.FALSE, a particular treeNode is collapsed; null, a particular treeNode saves the current state Getter for adviseNodeOpened

  Specified by:
    `getAdviseNodeOpened` in class `UITree`
  Returns:
    adviseNodeOpened value from local variable or value bindings

### setAdviseNodeSelected

    public void setAdviseNodeSelected(javax.faces.el.MethodBinding __adviseNodeSelected)

  MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is selected; java.lang.Boolean.FALSE, a particular treeNode is unselected; null, a particular treeNode saves the current state Setter for adviseNodeSelected

  Specified by:
    `setAdviseNodeSelected` in class `UITree`
  Parameters:
    `adviseNodeSelected` - - new value

### getAdviseNodeSelected

    public javax.faces.el.MethodBinding getAdviseNodeSelected()

  MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is selected; java.lang.Boolean.FALSE, a particular treeNode is unselected; null, a particular treeNode saves the current state Getter for adviseNodeSelected

  Specified by:
    `getAdviseNodeSelected` in class `UITree`
  Returns:
    adviseNodeSelected value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setAjaxSubmitSelection

    public void setAjaxSubmitSelection(boolean __ajaxSubmitSelection)

  If "true", an Ajax request to be submit when selecting node Setter for ajaxSubmitSelection

  Specified by:
    `setAjaxSubmitSelection` in class `UITree`
  Parameters:
    `ajaxSubmitSelection` - - new value

### isAjaxSubmitSelection

    public boolean isAjaxSubmitSelection()

  If "true", an Ajax request to be submit when selecting node Getter for ajaxSubmitSelection

  Specified by:
    `isAjaxSubmitSelection` in class `UITree`
  Returns:
    ajaxSubmitSelection value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setChangeExpandListener

    public void setChangeExpandListener(javax.faces.el.MethodBinding __changeExpandListener)

  Listener called on expand/collapse event on the node Setter for changeExpandListener

  Parameters:
    `changeExpandListener` - - new value

### getChangeExpandListener

    public javax.faces.el.MethodBinding getChangeExpandListener()

  Listener called on expand/collapse event on the node Getter for changeExpandListener

  Returns:
    changeExpandListener value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setDragIndicator

    public void setDragIndicator(java.lang.String __dragIndicator)

  An indicator component id Setter for dragIndicator

  Parameters:
    `dragIndicator` - - new value

### getDragIndicator

    public java.lang.String getDragIndicator()

  An indicator component id Getter for dragIndicator

  Returns:
    dragIndicator value from local variable or value bindings

### setDragListener

    public void setDragListener(javax.faces.el.MethodBinding __dragListener)

  MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener

  Parameters:
    `dragListener` - - new value

### getDragListener

    public javax.faces.el.MethodBinding getDragListener()

  MethodBinding representing an action listener method that will be notified after drag operation Getter for dragListener

  Returns:
    dragListener value from local variable or value bindings

### setDragType

    public void setDragType(java.lang.String __dragType)

  Key of a drag object. It's used to define a necessity of processing the current dragged element on the drop zone side Setter for dragType

  Parameters:
    `dragType` - - new value

### getDragType

    public java.lang.String getDragType()

  Key of a drag object. It's used to define a necessity of processing the current dragged element on the drop zone side Getter for dragType

  Returns:
    dragType value from local variable or value bindings

### setDragValue

    public void setDragValue(java.lang.Object __dragValue)

  Data to be sent to the drop zone after a drop event Setter for dragValue

  Parameters:
    `dragValue` - - new value

### getDragValue

    public java.lang.Object getDragValue()

  Data to be sent to the drop zone after a drop event Getter for dragValue

  Returns:
    dragValue value from local variable or value bindings

### setDropListener

    public void setDropListener(javax.faces.el.MethodBinding __dropListener)

  MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener

  Parameters:
    `dropListener` - - new value

### getDropListener

    public javax.faces.el.MethodBinding getDropListener()

  MethodBinding representing an action listener method that will be notified after drop operation Getter for dropListener

  Returns:
    dropListener value from local variable or value bindings

### setDropValue

    public void setDropValue(java.lang.Object __dropValue)

  Data to be processed after a drop event Setter for dropValue

  Parameters:
    `dropValue` - - new value

### getDropValue

    public java.lang.Object getDropValue()

  Data to be processed after a drop event Getter for dropValue

  Returns:
    dropValue value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setHighlightedClass

    public void setHighlightedClass(java.lang.String __highlightedClass)

  Corresponds to the HTML class attribute. Applied to highlighted node Setter for highlightedClass

  Specified by:
    `setHighlightedClass` in class `UITree`
  Parameters:
    `highlightedClass` - - new value

### getHighlightedClass

    public java.lang.String getHighlightedClass()

  Corresponds to the HTML class attribute. Applied to highlighted node Getter for highlightedClass

  Specified by:
    `getHighlightedClass` in class `UITree`
  Returns:
    highlightedClass value from local variable or value bindings

### setIcon

    public void setIcon(java.lang.String __icon)

  The icon for node Setter for icon

  Specified by:
    `setIcon` in class `UITree`
  Parameters:
    `icon` - - new value

### getIcon

    public java.lang.String getIcon()

  The icon for node Getter for icon

  Specified by:
    `getIcon` in class `UITree`
  Returns:
    icon value from local variable or value bindings

### setIconCollapsed

    public void setIconCollapsed(java.lang.String __iconCollapsed)

  The icon for collapsed node Setter for iconCollapsed

  Specified by:
    `setIconCollapsed` in class `UITree`
  Parameters:
    `iconCollapsed` - - new value

### getIconCollapsed

    public java.lang.String getIconCollapsed()

  The icon for collapsed node Getter for iconCollapsed

  Specified by:
    `getIconCollapsed` in class `UITree`
  Returns:
    iconCollapsed value from local variable or value bindings

### setIconExpanded

    public void setIconExpanded(java.lang.String __iconExpanded)

  The icon for expanded node Setter for iconExpanded

  Specified by:
    `setIconExpanded` in class `UITree`
  Parameters:
    `iconExpanded` - - new value

### getIconExpanded

    public java.lang.String getIconExpanded()

  The icon for expanded node Getter for iconExpanded

  Specified by:
    `getIconExpanded` in class `UITree`
  Returns:
    iconExpanded value from local variable or value bindings

### setIconLeaf

    public void setIconLeaf(java.lang.String __iconLeaf)

  An icon for component leaves Setter for iconLeaf

  Specified by:
    `setIconLeaf` in class `UITree`
  Parameters:
    `iconLeaf` - - new value

### getIconLeaf

    public java.lang.String getIconLeaf()

  An icon for component leaves Getter for iconLeaf

  Specified by:
    `getIconLeaf` in class `UITree`
  Returns:
    iconLeaf value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setImmediate

    public void setImmediate(boolean __immediate)

  A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Specified by:
    `setImmediate` in class `UITree`
  Parameters:
    `immediate` - - new value

### isImmediate

    public boolean isImmediate()

  A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate

  Specified by:
    `isImmediate` in class `UITree`
  Returns:
    immediate value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setNodeFace

    public void setNodeFace(java.lang.String __nodeFace)

  Node face facet name Setter for nodeFace

  Specified by:
    `setNodeFace` in class `UITree`
  Parameters:
    `nodeFace` - - new value

### getNodeFace

    public java.lang.String getNodeFace()

  Node face facet name Getter for nodeFace

  Specified by:
    `getNodeFace` in class `UITree`
  Returns:
    nodeFace value from local variable or value bindings

### setNodeSelectListener

    public void setNodeSelectListener(javax.faces.el.MethodBinding __nodeSelectListener)

  MethodBinding representing an action listener method that will be notified after selection of node. Setter for nodeSelectListener

  Parameters:
    `nodeSelectListener` - - new value

### getNodeSelectListener

    public javax.faces.el.MethodBinding getNodeSelectListener()

  MethodBinding representing an action listener method that will be notified after selection of node. Getter for nodeSelectListener

  Returns:
    nodeSelectListener value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

  HTML: script expression to invoke on node collapsing Setter for oncollapse

  Parameters:
    `oncollapse` - - new value

### getOncollapse

    public java.lang.String getOncollapse()

  HTML: script expression to invoke on node collapsing Getter for oncollapse

  Returns:
    oncollapse value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOndragend

    public void setOndragend(java.lang.String __ondragend)

  A JavaScript event handler called after a drag operation Setter for ondragend

  Parameters:
    `ondragend` - - new value

### getOndragend

    public java.lang.String getOndragend()

  A JavaScript event handler called after a drag operation Getter for ondragend

  Returns:
    ondragend value from local variable or value bindings

### setOndragenter

    public void setOndragenter(java.lang.String __ondragenter)

  A JavaScript event handler called on enter draggable object to zone Setter for ondragenter

  Parameters:
    `ondragenter` - - new value

### getOndragenter

    public java.lang.String getOndragenter()

  A JavaScript event handler called on enter draggable object to zone Getter for ondragenter

  Returns:
    ondragenter value from local variable or value bindings

### setOndragexit

    public void setOndragexit(java.lang.String __ondragexit)

  A JavaScript event handler called after a drag object leaves zone Setter for ondragexit

  Parameters:
    `ondragexit` - - new value

### getOndragexit

    public java.lang.String getOndragexit()

  A JavaScript event handler called after a drag object leaves zone Getter for ondragexit

  Returns:
    ondragexit value from local variable or value bindings

### setOndragstart

    public void setOndragstart(java.lang.String __ondragstart)

  A JavaScript event handler called before drag object Setter for ondragstart

  Parameters:
    `ondragstart` - - new value

### getOndragstart

    public java.lang.String getOndragstart()

  A JavaScript event handler called before drag object Getter for ondragstart

  Returns:
    ondragstart value from local variable or value bindings

### setOndrop

    public void setOndrop(java.lang.String __ondrop)

  It's an event that is called when something is dropped on a drop zone Setter for ondrop

  Parameters:
    `ondrop` - - new value

### getOndrop

    public java.lang.String getOndrop()

  It's an event that is called when something is dropped on a drop zone Getter for ondrop

  Returns:
    ondrop value from local variable or value bindings

### setOndropend

    public void setOndropend(java.lang.String __ondropend)

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend

  Parameters:
    `ondropend` - - new value

### getOndropend

    public java.lang.String getOndropend()

  A JavaScript handler for event fired on a drop even the drop for a given type is not available Getter for ondropend

  Returns:
    ondropend value from local variable or value bindings

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

  HTML: script expression to invoke on node expansion Setter for onexpand

  Parameters:
    `onexpand` - - new value

### getOnexpand

    public java.lang.String getOnexpand()

  HTML: script expression to invoke on node expansion Getter for onexpand

  Returns:
    onexpand value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnselected

    public void setOnselected(java.lang.String __onselected)

  HTML: script expression to invoke on node selection Setter for onselected

  Parameters:
    `onselected` - - new value

### getOnselected

    public java.lang.String getOnselected()

  HTML: script expression to invoke on node selection Getter for onselected

  Returns:
    onselected value from local variable or value bindings

### setPreserveDataInRequest

    public void setPreserveDataInRequest(boolean __preserveDataInRequest)

  If "true", data is preserved in a request Setter for preserveDataInRequest

  Parameters:
    `preserveDataInRequest` - - new value

### isPreserveDataInRequest

    public boolean isPreserveDataInRequest()

  If "true", data is preserved in a request Getter for preserveDataInRequest

  Returns:
    preserveDataInRequest value from local variable or value bindings

### setPreserveModel

    public void setPreserveModel(java.lang.String __preserveModel)

  It can be "state", "request", "none". The default is "request" Setter for preserveModel

  Specified by:
    `setPreserveModel` in class `UITree`
  Parameters:
    `preserveModel` - - new value

### getPreserveModel

    public java.lang.String getPreserveModel()

  It can be "state", "request", "none". The default is "request" Getter for preserveModel

  Specified by:
    `getPreserveModel` in class `UITree`
  Returns:
    preserveModel value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

  Corresponds to the HTML class attribute. Applied to selected node Setter for selectedClass

  Specified by:
    `setSelectedClass` in class `UITree`
  Parameters:
    `selectedClass` - - new value

### getSelectedClass

    public java.lang.String getSelectedClass()

  Corresponds to the HTML class attribute. Applied to selected node Getter for selectedClass

  Specified by:
    `getSelectedClass` in class `UITree`
  Returns:
    selectedClass value from local variable or value bindings

### setShowConnectingLines

    public void setShowConnectingLines(boolean __showConnectingLines)

  If "true", connecting lines are show Setter for showConnectingLines

  Specified by:
    `setShowConnectingLines` in class `UITree`
  Parameters:
    `showConnectingLines` - - new value

### isShowConnectingLines

    public boolean isShowConnectingLines()

  If "true", connecting lines are show Getter for showConnectingLines

  Specified by:
    `isShowConnectingLines` in class `UITree`
  Returns:
    showConnectingLines value from local variable or value bindings

### setStateAdvisor

    public void setStateAdvisor(java.lang.Object __stateAdvisor)

  ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface. Setter for stateAdvisor

  Specified by:
    `setStateAdvisor` in class `UITree`
  Parameters:
    `stateAdvisor` - - new value

### getStateAdvisor

    public java.lang.Object getStateAdvisor()

  ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface. Getter for stateAdvisor

  Specified by:
    `getStateAdvisor` in class `UITree`
  Returns:
    stateAdvisor value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSwitchType

    public void setSwitchType(java.lang.String __switchType)

  Tree switch algorithm: "client", "server", "ajax" Setter for switchType

  Specified by:
    `setSwitchType` in class `UITree`
  Parameters:
    `switchType` - - new value

### getSwitchType

    public java.lang.String getSwitchType()

  Tree switch algorithm: "client", "server", "ajax" Getter for switchType

  Specified by:
    `getSwitchType` in class `UITree`
  Returns:
    switchType value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setToggleOnClick

    public void setToggleOnClick(boolean __toggleOnClick)

  If "false" do not toggle node state on click. If "true", than node will be toggles on click on ether node content, or node icon. Default value is false. Setter for toggleOnClick

  Specified by:
    `setToggleOnClick` in class `UITree`
  Parameters:
    `toggleOnClick` - - new value

### isToggleOnClick

    public boolean isToggleOnClick()

  If "false" do not toggle node state on click. If "true", than node will be toggles on click on ether node content, or node icon. Default value is false. Getter for toggleOnClick

  Specified by:
    `isToggleOnClick` in class `UITree`
  Returns:
    toggleOnClick value from local variable or value bindings

### setTypeMapping

    public void setTypeMapping(java.lang.Object __typeMapping)

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Setter for typeMapping

  Parameters:
    `typeMapping` - - new value

### getTypeMapping

    public java.lang.Object getTypeMapping()

  Map between a draggable type and an indicator name on zone. it's defined with the pair (drag type:indicator name)) Getter for typeMapping

  Returns:
    typeMapping value from local variable or value bindings

### setVarState

    public void setVarState(java.lang.String __varState)

  ${prop.xmlEncodedDescription} Setter for varState

  Parameters:
    `varState` - - new value

### getVarState

    public java.lang.String getVarState()

  ${prop.xmlEncodedDescription} Getter for varState

  Returns:
    varState value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UITree`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UITree`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.